Bug 214632 - autofs fails to start after joining AD domain
autofs fails to start after joining AD domain
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: autofs (Show other bugs)
6
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Ian Kent
Brock Organ
:
Depends On:
Blocks: 231953
  Show dependency treegraph
 
Reported: 2006-11-08 13:24 EST by Curtis George
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: autofs-5.0.1-0.rc3.26
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-25 22:49:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Curtis George 2006-11-08 13:24:26 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; InfoPath.1)

Description of problem:
After connecting fc6 to an Active Directory (using winbind authentication) and restarting computer, autofs fails to start and gives the following errors in /var/log/messages:

automount[4656]: lookup_nss_read_master: can't to read name service switch config.
automount[4656]: master_read_master: can't read master map auto.master

Updated to autofs-5.0.1-0.rc2.22, but problem still persisted.

Version-Release number of selected component (if applicable):
autofs-5.0.1-0.rc2.22

How reproducible:
Always


Steps to Reproduce:
1. Install fc6 base system
2. Join computer to AD domain using winbind
3. Restart computer
4. autofs fails to start upon bootup

Actual Results:


Expected Results:


Additional info:
Comment 1 Jeffrey Moyer 2006-11-08 13:41:07 EST
Edit /etc/nsswitch.conf and remove "winbind" from the automount: line.

Let me know if that allows the automounter to start.
Comment 2 Curtis George 2006-11-13 17:19:11 EST
I confirmed that editing /etc/nsswitch.conf and removing winbind from the 
automount line fixes this problem.
Comment 3 Jeffrey Moyer 2007-01-12 18:02:23 EST
Ian, I'm reassigning this to you.  Did you put code into v5 to ignore winbind?
Comment 4 Ian Kent 2007-01-12 20:19:37 EST
(In reply to comment #3)
> Ian, I'm reassigning this to you.  Did you put code into v5 to ignore winbind?

Don't think I did that but I'll check and fix it if needed.

Ian
Comment 5 Ian Kent 2007-01-14 23:31:33 EST
(In reply to comment #2)
> I confirmed that editing /etc/nsswitch.conf and removing winbind from the 
> automount line fixes this problem.

I've added a patch to ignore the "winbind" source.
It should appear in FC-6 updates testing fairly soon.
It is autofs-5.0.1-0.rc3.6.
Can you test it when it does please.

Ian
Comment 6 Ian Kent 2007-03-13 22:26:02 EDT
(In reply to comment #5)
> (In reply to comment #2)
> > I confirmed that editing /etc/nsswitch.conf and removing winbind from the 
> > automount line fixes this problem.
> 
> I've added a patch to ignore the "winbind" source.
> It should appear in FC-6 updates testing fairly soon.
> It is autofs-5.0.1-0.rc3.6.
> Can you test it when it does please.

Still waiting for result of testing Curtis.

Ian
Comment 7 Curtis George 2007-03-24 00:34:14 EDT
I had some time recently and was able to set up a test system.  I confirmed that
autofs-5.0.1-0.rc3.26 does behave correctly when the system is connected to a
active directory domain.
Comment 8 Ian Kent 2007-03-25 22:49:00 EDT
Thanks for the feedback.

Note You need to log in before you can comment on or make changes to this bug.